Package org.linphone.core

# Interface ChatMessageReaction

public interface ChatMessageReaction
A chat message reaction is an emoji sent by someone in the same chat room to
react to a specific `ChatMessage`.
To create a `ChatMessageReaction`, use `ChatMessage.createReaction(java.lang.String)`
. Once you are ready, send the reaction using `send()`.
Reactions are available using `ChatMessage.getReactions()` and will be
notified using dedicated callbacks either in `CoreListener` or `ChatMessageListener`
.

## Method Summary

Modifier and Type
Method
Description
`String`
`getBody()`
Returns the emoji(s) used for the reaction.
`String`
`getCallId()`
Allows to get the Call ID associated with a `ChatMessageReaction`.
`Address`
`getFromAddress()`
Returns the `Address` of the participant that sent this reaction.
`long`
`getNativePointer()`
Gets the native pointer used by this class to make native method calls.
`Object`
`getUserData()`
Gets the object stored in this object user's data
`void`
`send()`
Sends a `ChatMessageReaction`.
`void`
`setUserData(Object data)`
Sets the object to store in this object user's data
`String`
`toString()`

## Method Details

### getBody

@NonNull String getBody()
Returns the emoji(s) used for the reaction.

Returns:
  the emoji(s) used as UTF-8 characters.

### getCallId

String getCallId()
Allows to get the Call ID associated with a `ChatMessageReaction`.

Returns:
  the Call ID associated with this reaction.

### getFromAddress

@NonNull Address getFromAddress()
Returns the `Address` of the participant that sent this reaction.

Returns:
  the `Address` that sent this reaction.

### send

void send()
Sends a `ChatMessageReaction`.

### setUserData

void setUserData(Object data)
Sets the object to store in this object user's data

Parameters:
  `data` - the object to store

### getUserData

Object getUserData()
Gets the object stored in this object user's data

Returns:
  the object store if any, null otherwise

### getNativePointer

long getNativePointer()
Gets the native pointer used by this class to make native method calls.

Returns:
  the nativer pointer, as long

### toString

String toString()

Overrides:
  `toString` in class `Object`